Open CASCADE Technology: Message_PrinterOStream Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Message_PrinterOStream Class Reference

Implementation of a message printer associated with an ostream The ostream may be either externally defined one (e.g. cout), or file stream maintained internally (depending on constructor). More...

`#include <Message_PrinterOStream.hxx>`

Inheritance diagram for Message_PrinterOStream:
[legend]

## Public Member Functions
| Message_PrinterOStream (const Message_Gravity theTraceLevel=Message_Info)
| Empty constructor, defaulting to cout. More...
| Message_PrinterOStream (const Standard_CString theFileName, const Standard_Boolean theDoAppend, const Message_Gravity theTraceLevel=Message_Info)
| Create printer for output to a specified file. The option theDoAppend specifies whether file should be appended or rewritten. For specific file names (cout, cerr) standard streams are used. More...
void | Close ()
| Flushes the output stream and destroys it if it has been specified externally with option doFree (or if it is internal file stream) More...
| ~Message_PrinterOStream ()
Standard_Boolean | GetUseUtf8 () const
| Returns option to convert non-Ascii symbols to UTF8 encoding. More...
void | SetUseUtf8 (const Standard_Boolean useUtf8)
| Sets option to convert non-Ascii symbols to UTF8 encoding. More...
Standard_OStream & | GetStream () const
| Returns reference to the output stream. More...
virtual void | Send (const Standard_CString theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() More...
virtual void | Send (const TCollection_AsciiString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() More...
virtual void | Send (const TCollection_ExtendedString &theString, const Message_Gravity theGravity, const Standard_Boolean putEndl=Standard_True) const
| Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() Non-Ascii symbols are converted to UTF-8 if UseUtf8 option is set, else replaced by symbols '?'. More...
Public Member Functions inherited from Message_Printer
Message_Gravity | GetTraceLevel () const
| Return trace level used for filtering messages; messages with lover gravity will be ignored. More...
void | SetTraceLevel (const Message_Gravity theTraceLevel)
| Set trace level used for filtering messages. By default, trace level is Message_Info, so that all messages are output. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Message_Printer
| Message_Printer ()
| Empty constructor with Message_Info trace level. More...
Protected Attributes inherited from Message_Printer
Message_Gravity | myTraceLevel

## Detailed Description

Implementation of a message printer associated with an ostream The ostream may be either externally defined one (e.g. cout), or file stream maintained internally (depending on constructor).

## Constructor & Destructor Documentation

Message_PrinterOStream::Message_PrinterOStream | ( | const Message_Gravity | theTraceLevel = `Message_Info` | ) |

Empty constructor, defaulting to cout.

Message_PrinterOStream::Message_PrinterOStream | ( | const Standard_CString | theFileName,
|  | const Standard_Boolean | theDoAppend,
|  | const Message_Gravity | theTraceLevel = `Message_Info`
| ) |  |

Create printer for output to a specified file. The option theDoAppend specifies whether file should be appended or rewritten. For specific file names (cout, cerr) standard streams are used.

Message_PrinterOStream::~Message_PrinterOStream | ( |  | ) |
| inline

## Member Function Documentation

void Message_PrinterOStream::Close | ( |  | ) |

Flushes the output stream and destroys it if it has been specified externally with option doFree (or if it is internal file stream)

Standard_OStream& Message_PrinterOStream::GetStream | ( |  | ) | const

Returns reference to the output stream.

Standard_Boolean Message_PrinterOStream::GetUseUtf8 | ( |  | ) | const

Returns option to convert non-Ascii symbols to UTF8 encoding.

virtual void Message_PrinterOStream::Send | ( | const Standard_CString | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) |  | const
| virtual

Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel()

Reimplemented from Message_Printer.

virtual void Message_PrinterOStream::Send | ( | const TCollection_AsciiString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) |  | const
| virtual

Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel()

Reimplemented from Message_Printer.

virtual void Message_PrinterOStream::Send | ( | const TCollection_ExtendedString & | theString,
|  | const Message_Gravity | theGravity,
|  | const Standard_Boolean | putEndl = `Standard_True`
| ) |  | const
| virtual

Puts a message to the current stream if its gravity is equal or greater to the trace level set by SetTraceLevel() Non-Ascii symbols are converted to UTF-8 if UseUtf8 option is set, else replaced by symbols '?'.

Implements Message_Printer.

void Message_PrinterOStream::SetUseUtf8 | ( | const Standard_Boolean | useUtf8 | ) |

Sets option to convert non-Ascii symbols to UTF8 encoding.

The documentation for this class was generated from the following file:

- Message_PrinterOStream.hxx